# Counterparty object

A counterparty is an external account that you can transfer money to and from. All ACH and Wire transfers originated by Column take in a `counterparty_id` to identify the transfer destination. Once you have created a counterparty, you can send money to it (or pull from it)! A counterparty stores an external bank account and can also store additional transaction details, as desired or required. Read about [counterparties in our data model](/data-models/counterparty) for more information.

### Object Parameters

- `account_number` `string` — The account number for the bank account.
- `account_type` `string` — The type of the account number. Can be `checking` or `savings`.
- `address` `object` — Addresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the [Fedwire character validation](/wire#valid-characters-permitted).
  - `city` `string` — City name
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `created_at` `date-time` — The timestamp the object was created.
- `description` `string` — Description of the counterparty visible only in your platform. Maximum length: `127` characters.
- `email` `string` — The email address of the beneficiary.
- `id` `string` — The unique ID of the object
- `is_column_account` `boolean` — Indicates whether this counterparty account is actually a Column account.
- `legal_id` `string` — The legal ID (e.g., Tax ID, Cedula Juridica, etc.) of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: `127` characters.
- `legal_type` `string` — The legal entity type of the beneficiary. Can be `business`, `non_profit`, `individual`, or `sole_proprietor`. This field is recommended for international wire transfers, and required in some countries.
- `local_account_number` `string` — The local account number (e.g. Cuenta Cliente in Costa Rica) in the beneficiary's bank. This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
- `local_bank_code` `string` — The local bank code of the beneficiary's bank (e.g., India IFSC, Australia BSB, China CNAPS, etc.). This field is recommended for international wire transfers, and required in some countries. Maximum length: `63` characters.
- `local_bank_country_code` `string` — ISO 3166-1 Alpha-2 country code of the beneficiary's bank.
- `local_bank_name` `string` — Name of the beneficiary's local bank.
- `name` `string` — The counterparty name who owns the bank account. There is a `127` character limit for this field. For domestic wires, only the first 35 characters are included in the wire message.
- `phone` `string` — The phone number of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: `31` characters.
- `routing_number` `string` — The routing number of the bank.
- `routing_number_type` `string` — The type of the routing number. Can be `aba`, `bic`, or `other`.
- `search_metadata` `object` — Search-specific metadata returned when a query is provided.
  - `highlights` `object` — Matched field fragments with highlighted terms
  - `score` `number` — OpenSearch relevance score
- `updated_at` `date-time` — The timestamp the object was last updated.
- `wire_drawdown_allowed` `boolean` — Whitelists counterparties for automatic approval of drawdown requests to Column via Fedwire. If `false`, all inbound drawdown requests from this counterparty will require explicit approval.

**Response 200**

```json
{
  "account_number": "1234567890",
  "account_type": "CHECKING",
  "address": {
    "city": "San Francisco",
    "country_code": "US",
    "line_1": "101 Market St",
    "line_2": "Suite 1913",
    "postal_code": "94105",
    "state": "CA"
  },
  "created_at": "2024-01-15T09:30:00Z",
  "description": "Example description",
  "email": "oliver@example.com",
  "id": "cpty_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "is_column_account": false,
  "legal_id": "le_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "legal_type": "llc",
  "local_account_number": "1234567890",
  "local_bank_code": "ABOC",
  "local_bank_country_code": "US",
  "local_bank_name": "Example local bank name",
  "name": "Example name",
  "phone": "+15555555555",
  "routing_number": "021000089",
  "routing_number_type": "021000089",
  "search_metadata": {
    "highlights": {},
    "score": 0
  },
  "updated_at": "2024-01-15T09:30:00Z",
  "wire_drawdown_allowed": false
}
```
